#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  _defaults:
    autowire: true
    autoconfigure: true

  XC\Stripe\EventListener\PaymentProcessor:
    tags:
      - {name: kernel.event_listener, event: xcart.payment.action.init.xc.stripe.model.payment.stripe, method: onPaymentInitAction}
      - {name: kernel.event_listener, event: xcart.payment.action.pay.xc.stripe.model.payment.stripe, method: onPaymentPayAction}
